export declare class WorkerManager<Request extends {}, Response> {
    private readonly worker;
    private seq;
    private pendingDeferredMap;
    constructor(worker: Worker);
    private onMessage;
    call(request: Request): Promise<Response>;
}
